Bug 1259521 - [RFE] Use either <a> or <button> for "Next" button in the RHCI wizard, not both.
[RFE] Use either <a> or <button> for "Next" button in the RHCI wizard, not both.
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity low
: TP2
: 1.0
Assigned To: jmagen@redhat.com
Tasos Papaioannou
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 17:10 EDT by bmorriso
Modified: 2016-04-29 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2015-09-02 17:10:05 EDT
Description of problem:
The RHCI Installer wizard has Cancel, Back, and Next buttons on each page of the wizard. The "Cancel" button is always a button. The "Back" button is always a link. The "Next" button is sometimes a link, sometimes a button. 

This isn't an issue for the user, but it would be helpful for UI automation to have the "Next" button be consistent throughout the wizard. 

Version-Release number of selected component (if applicable):
8/20 iso

How reproducible:
always

Steps to Reproduce:
1. Compare the Next button on page "1a. Deployment Name" to the Next button on page "1c. Configure lifecycle"
2.
3.

Actual results:
1a's "Next" button is an <a>, 1c's "Next" button is a <button>.

Expected results:
They are both the same html tag. 

Additional info:
This shows which tag is used for "Next" on each page of the wizard.

+-----------------+-------+
|Page             |Next   |
+-----------------+-------+
|1a. Deployment   |a      |
|Name             |       |
+-----------------+-------+
|1b. Configure    |a      |
|organization     |       |
+-----------------+-------+
|1c. Configure    |button |
|lifecycle        |       |
+-----------------+-------+
|2a. setup        |a      |
|type             |       |
+-----------------+-------+
|2b. engine       |a      |
+-----------------+-------+
|2c.              |button |
|hypervisors      |       |
+-----------------+-------+
|2d. configuration|a      |
+-----------------+-------+
|2e. storage      |a      |
+-----------------+-------+
|3a. install loc  |a      |
+-----------------+-------+
|3b. configuration|a      |
+-----------------+-------+
|4a. RH login     |button |
+-----------------+-------+
|4b. SM           |a      |
|applications     |       |
+-----------------+-------+
|4c. subscriptions|button |
|                 |       |
+-----------------+-------+
Comment 1 jmagen@redhat.com 2015-10-29 17:20:48 EDT
ok, I know why. I can fix it.
Comment 2 jmagen@redhat.com 2015-11-03 07:43:16 EST
Fixed. 
https://github.com/fusor/fusor/pull/445

It should be merged soon.
Comment 3 Tasos Papaioannou 2016-01-12 13:37:53 EST
VERIFIED on RHCI-6.0-RHEL-7-20160107.t.1

All Next buttons now use <button>.

Note You need to log in before you can comment on or make changes to this bug.